<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
    crossorigin="anonymous"></script>


  <script>
    $(document).ready(function () {
      "use strict";
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

      /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
      $("#btn-submit-data").click(function(){
        var vInformation = {
          firstname: "",
          lastname: "",
          age: -1
        }

        thuThapDuLieu(vInformation);
        var vDuLieuHopLe = validate(vInformation);
        if(vDuLieuHopLe){
          $("#p-html-log").append(">Age: " + vInformation.age + "<br>" + ">")
          .append("First name: " + vInformation.firstname + "<br>" + ">")
          .append("Last name: " + vInformation.lastname + "<br>" + ">")
        }
      })

      $("#btn-clear-log").click(function(){
        $("#p-html-log").html("");
      })
      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      function thuThapDuLieu(paramInfor){
        paramInfor.firstname = $("#inp-first-name").val();
        paramInfor.lastname = $("#inp-last-name").val();
        paramInfor.age = $("#inp-age").val();
      }

      function validate(paramInfor){
        if(paramInfor.firstname == ""){
          alert("Please fill your firstname");
          return false;
        }
        if(paramInfor.lastname == ""){
          alert("Please fill your lastname");
          return false;
        }
        if(paramInfor.age == ""){
          alert("Please fill your age");
          return false;
        }
        if(paramInfor.age < 0 || paramInfor.age > 200){
          alert("Please fill your right age");
          return false;
        }
        return true;
      }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/


    })
  </script>

</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" style="text-align: right;">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <!-- HTML Log -->
    <hr>
    <div style="text-align: right;">
      <button id="btn-clear-log" class="btn btn-info"> Clear HTML Log </button>
    </div>
    <p id="p-html-log"></p>
  </div>
</body>

</html>